

function ponAccion(key)

{		

	if(!dimeExisteGrupoParaMuniAnoConDifConcedeLicen())

		return false;

	//Antes de buscar se establecen en los campos ocultos la descripci?n del municipio, as? como se separa el c?digo de provinvia y de municipio del value de combo que carga los municipios

	var cmbMuni = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(codProvMun)"];

	document.forms["formFiltroCuestionarioVAPM"].elements["filtro(municipio)"].value = cmbMuni.options[cmbMuni.selectedIndex].text;

	var arrProvMun = dameArrayProvYMun(cmbMuni);

	document.forms["formFiltroCuestionarioVAPM"].elements["filtro(codProv)"].value = arrProvMun[0];

	document.forms["formFiltroCuestionarioVAPM"].elements["filtro(codMuni)"].value = arrProvMun[1];

	document.forms["formFiltroCuestionarioVAPM"].accion.value=key;

	document.forms["formFiltroCuestionarioVAPM"].submit();

}



function dameValueConcedeLicen()

{

	var valor = "";

	var objRadio = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(concedeLicen)"];

	for(i=0;i<objRadio.length;i++)

	{

		if(objRadio[i].checked)

		{

			valor=objRadio[i].value;

			break;

		}

	}

	return valor;

}



function obtenerConcedeLicenParaMuniAno(codProv,codMuni,ano,concedeLicen)

{

	var GDTP = new ARQ_GDTP();

	GDTP.addGroup("APP_PARAMETERS");

	GDTP.addProperty("APP_PARAMETERS","CLASSNAME","q02b.exe.cuestionarioVAPM.launcher.Q02bCuestionarioVAPMLauncher");

	// llama a proceso del jspBean InformesImplBean

	GDTP.addProperty("APP_PARAMETERS","METHOD","obtenerCampoConcedeLicenDeGrupoConMuniAno");

	// paso param de app es opcional

	GDTP.addGroup("APP_DATA");

	// datos pareja nombre, valor

	GDTP.addProperty("APP_DATA","codProv",codProv);

	GDTP.addProperty("APP_DATA","codMuni",codMuni);

	GDTP.addProperty("APP_DATA","ano",ano);	

	

	

	// paso datos y qda en response

	var response = Comm.submitGDTP(GDTP,"/q02bCuestionariosWar/comunJSP/q02blauncher.jsp?"+ dameIndicativoNoPortalParaUrl(),"POST");

	return response;

}



function dimeExisteGrupoParaMuniAnoConDifConcedeLicen()

{

	var cmbMuni = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(codProvMun)"];

	var arrProvMun = dameArrayProvYMun(cmbMuni);

	var ano = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(ano)"].value;	

	var concedeLicen = dameValueConcedeLicen();

	if (arrProvMun[0]!= "" && arrProvMun[1]!= "" && ano!= "" && concedeLicen!= "" )

	{

		var response = obtenerConcedeLicenParaMuniAno(arrProvMun[0],arrProvMun[1],ano);

		var result = response.getProperty("RESULT_1", "RESULT");

		if(result == "OK")

		{

			var conceLicenBD = response.getProperty("RESULT_1", "CONCEDE_LICEN");

			//Si no existe el grupo para el municipio y a?o seleccionados o coincide lo que se ha introducido en el formulario con lo que est? en la base de datos, no se hace nada

			if(conceLicenBD== "" || conceLicenBD== concedeLicen)

				return true;

			else

			{

				var litMsg;

				if(conceLicenBD =="0")

					litMsg = msgAntesNoLicen;

				else

					litMsg = msgAntesSiLicen;

				litMsg += msgConfirmCambioConcedeLicen;

				return (confirm(litMsg));

			}

		}

		else return false;

	}

	else return true;

}



function accionesCambioMuniYAno()

{

	obtenerAnosPendientes();

	cargarConcedeLicenParaMuniAno();

	

}



//Cuando se cambia el municipio o el a?o, se pone el radio de concede Licencias, con el valor que est? introducido en bd, si es que existe un grupo de cuestionarios

//para el municipio,ano

function cargarConcedeLicenParaMuniAno()

{

	var cmbMuni = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(codProvMun)"];

	var arrProvMun = dameArrayProvYMun(cmbMuni);

	var ano = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(ano)"].value;

		

	var response = obtenerConcedeLicenParaMuniAno(arrProvMun[0],arrProvMun[1],ano);

	var result = response.getProperty("RESULT_1", "RESULT");

	if(result == "OK")

	{

		var conceLicenBD = response.getProperty("RESULT_1", "CONCEDE_LICEN");

		var concedeLicen = dameValueConcedeLicen();

		//Si no existe el grupo para el municipio y a?o seleccionados o coincide lo que se ha introducido en el formulario con lo que est? en la base de datos, no se hace nada

		if(conceLicenBD!= "" && conceLicenBD!= concedeLicen)

		{

			chequearConcedeLicenConValor(conceLicenBD);

		}

		else if(conceLicenBD== "")

		{

			desChequearTodosConcedeLicen();

		}

	}

}



function desChequearTodosConcedeLicen()

{

	var objRadio = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(concedeLicen)"];

	for(i=0;i<objRadio.length;i++)

	{

		objRadio[i].checked = false;

	}

	return true;

}





function chequearConcedeLicenConValor(valorConcedeLicen)

{

	var objRadio = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(concedeLicen)"];	

	for(i=0;i<objRadio.length;i++)

	{

		if(objRadio[i].value == valorConcedeLicen)

		{

			objRadio[i].checked = true;

			break;

		}

	}

	return true;

}



function obtenerAnosPendientes()

{

	//debugger

	var cmbMuni = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(codProvMun)"];

	var arrProvMun = dameArrayProvYMun(cmbMuni);

	var ano = document.forms["formFiltroCuestionarioVAPM"].elements["filtro(ano)"].value;	

	if (arrProvMun[0]!= "" && arrProvMun[1]!= "" && ano!= "")

	{

		var GDTP = new ARQ_GDTP();

		GDTP.addGroup("APP_PARAMETERS");

		GDTP.addProperty("APP_PARAMETERS","CLASSNAME","q02b.exe.cuestionarioVAPM.launcher.Q02bCuestionarioVAPMLauncher");

		// llama a proceso del jspBean InformesImplBean

		GDTP.addProperty("APP_PARAMETERS","METHOD","getAnosPendientes");

		// paso param de app es opcional

		GDTP.addGroup("APP_DATA");

		// datos pareja nombre, valor

		GDTP.addProperty("APP_DATA","codProv",arrProvMun[0]);

		GDTP.addProperty("APP_DATA","codMuni",arrProvMun[1]);

		GDTP.addProperty("APP_DATA","ano",ano);		

		GDTP.addProperty("APP_DATA","idioma",idioma);

			

		// paso datos y qda en response

		var response = Comm.submitGDTP(GDTP,"/q02bCuestionariosWar/comunJSP/q02blauncher.jsp?"+ dameIndicativoNoPortalParaUrl(),"POST");

		var result = response.getProperty("RESULT_1", "RESULT");

		if(result == "OK")

		{

			document.all["divAvisoAnos"].innerHTML= response.getProperty("RESULT_1", "MSG_ANOS");

		}

	}

}





function dameArrayProvYMun(cmbMuni)

{

	var arrProvMun= new Array();

	if(cmbMuni.selectedIndex != -1)

	{

		var valueProvMun = cmbMuni.options[cmbMuni.selectedIndex].value;

		arrProvMun = valueProvMun.split(",");

	}

	return arrProvMun;

}



function onLoadPage() 

{

	accionesCambioMuniYAno();

	

}













